# model settings
model = dict(
    type='ImageClassifier',
    backbone=dict(
        type='ResNet_CIFAR',
        depth=101,
        num_stages=4,
        out_indices=(3, ),
        style='pytorch'),
    neck=dict(type='GlobalAveragePooling'),
    head=dict(
        type='StiefelLinearClsHead',
        num_classes=10,
        in_channels=2048,
        n_components=10,
        kappa=50.,
        cal_acc=True,
        loss=dict(type='CrossEntropyLoss', loss_weight=1.0),
    ))
